Summary: A utility for setting up encrypted filesystems
Name: cryptsetup-luks
Version: 1.0.3
Release: 5%{?dist}
License: GPL
Group: Applications/System
URL: http://clemens.endorphin.org/LUKS
Source: http://luks.endorphin.org/source/cryptsetup-luks-%{version}.tar.bz2
Patch1: cryptsetup-luks-1.0.1-proto.patch
Patch2: cryptsetup-luks-1.0.1-sepol.patch
Patch3: cryptsetup-luks-1.0.3-keyindex_segv.patch
Patch4: cryptsetup-luks-1.0.4-getline64.patch
Patch5: cryptsetup-luks-1.0.6-fix-status.patch
Patch6: cryptsetup-luks-prompt.patch
Patch7: cryptsetup-luks-wipe-headers.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: libgcrypt-devel >= 1.1.42, popt, device-mapper
BuildRequires: libgpg-error-devel, e2fsprogs-devel, libsepol-devel
BuildRequires: libselinux-devel >= 1.30.29
Provides: cryptsetup = %{version}-%{release}
Obsoletes: cryptsetup <= 0.1

%description
This package contains cryptsetup, a utility for setting up
encrypted filesystems using Device Mapper and the dm-crypt target.

%package devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgcrypt-devel > 1.1.42, device-mapper, e2fsprogs-devel
Summary: Headers and libraries for using encrypted filesystems

%description devel
The cryptsetup-luks-devel package contain libraries and header files
used for writing code that makes use of encrypted filesystems.


%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%configure --enable-static
LDADD=-all-static make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall sbindir=$RPM_BUILD_ROOT/sbin
rm -rf  $RPM_BUILD_ROOT/%{_libdir}/*.la $RPM_BUILD_ROOT/%{_libdir}/cryptsetup

%find_lang %{name}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
%{_mandir}/man*/*
/sbin/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.a

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 11 2009 Milan Broz <mbroz@redhat.com> - 1.0.3-5
- Properly wipe header during format (removes fs signature).
- Fix cryptsetup status return code.
- Show device name when prompting for password.
  Resolves: #468910 #439191 #437261

* Thu Jun 19 2008 Milan Broz <mbroz@redhat.com> - 1.0.3-4
- Fix requires for devel subpackage.

* Thu Jun 12 2008 Milan Broz <mbroz@redhat.com> - 1.0.3-3
- Fix segfault when key-slot number is greater than max number of keys.
- Fix segfault on ppc64 platform.
  Resolves: #444665 #440425

* Wed Nov  1 2006 Peter Jones <pjones@redhat.com> - 1.0.3-2.2
- Require newer libselinux (#213517)

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.3-2.1
- rebuild

* Wed Jun  7 2006 Jeremy Katz <katzj@redhat.com> - 1.0.3-2
- put shared libs in the right subpackages

* Fri Apr  7 2006 Bill Nottingham <notting@redhat.com> 1.0.3-1
- update to final 1.0.3

* Wed Feb 27 2006 Bill Nottingham <notting@redhat.com> 1.0.3-0.rc2
- update to 1.0.3rc2, fixes bug with HAL & encrypted devices (#182658)

* Wed Feb 22 2006 Bill Nottingham <notting@redhat.com> 1.0.3-0.rc1
- update to 1.0.3rc1, reverts changes to default encryption type

* Tue Feb 21 2006 Bill Nottingham <notting@redhat.com> 1.0.2-1
- update to 1.0.2, fix incompatiblity with old cryptsetup (#176726)

* Mon Feb 20 2006 Karsten Hopp <karsten@redhat.de> 1.0.1-5
- BuildRequires: libselinux-devel

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-4.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.1-4.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec  5 2005 Bill Nottingham <notting@redhat.com> 1.0.1-4
- rebuild against new libdevmapper

* Thu Oct 13 2005 Florian La Roche <laroche@redhat.com>
- add -lsepol to rebuild on current fc5

* Mon Aug 22 2005 Karel Zak <kzak@redhat.com> 1.0.1-2
- fix cryptsetup help for isLuks action

* Fri Jul  1 2005 Bill Nottingham <notting@redhat.com> 1.0.1-1
- update to 1.0.1 - fixes incompatiblity with previous cryptsetup for
  piped passwords

* Thu Jun 16 2005 Bill Nottingham <notting@redhat.com> 1.0-2
- add patch for 32/64 bit compatibility (#160445, <redhat@paukstadt.de>)

* Tue Mar 29 2005 Bill Nottingham <notting@redhat.com> 1.0-1
- update to 1.0

* Thu Mar 10 2005 Bill Nottingham <notting@redhat.com> 0.993-1
- switch to cryptsetup-luks, for LUKS support

* Tue Oct 12 2004 Bill Nottingham <notting@redhat.com> 0.1-4
- oops, make that *everything* static (#129926)

* Tue Aug 31 2004 Bill Nottingham <notting@redhat.com> 0.1-3
- link some things static, move to /sbin (#129926)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 16 2004 Bill Nottingham <notting@redhat.com> 0.1-1
- initial packaging
